# Generated from subdomainbox-0.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name subdomainbox

Name: rubygem-%{gem_name}
Version: 0.7.0
Release: 1%{?dist}
Summary: prevent XSS incursions from accessing entire application
License: MIT
URL: http://github.com/populr/subdomainbox
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) = 2.10.0
# BuildRequires: rubygem(jeweler) >= 1.8.4
# BuildRequires: rubygem(jeweler) < 1.9
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-nav)
# BuildRequires: rubygem(pry-stack_explorer)
BuildArch: noarch

%description
use subdomains to prevent XSS from accessing your entire application if it
should happen to be injected into some page in your app.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.rvmrc
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/subdomainbox.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.7.0-1
- Initial package
